## allegro5 5.2.10.0+dfsg

=== debian/changelog ===
allegro5 (2:5.2.10.0+dfsg-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * set Rules-Requires-Root: no

  [ Andreas Rönnquist ]
  * Remove more files from orig.tar
  * New upstream version 5.2.10.0+dfsg
  * Remove patch fix-building-reproducible-1540 - applied upstream
  * Update symbols file
  * Remove unused lintian overrides
  * Fix multiarch install location for cmake package config
  * Remove deleting files in build, already deleted from tarball
  * Add a d/clean

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 29 Nov 2024 15:21:22 +0100

allegro5 (2:5.2.9.1+dfsg-2) unstable; urgency=medium

  * Add patch to build reproducible (Closes: #1064648)
  * Fix mismatched override package-name-doesnt-match-sonames
  * Upgrade to Standards Versin 4.7.0 (No changes required)
  * Add myself to copyright
  * Acknowledge Non-maintainer upload (Closes: #1061885)

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 03 May 2024 12:28:35 +0200

allegro5 (2:5.2.9.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061885

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:52:15 +0000

## allegro5 5.2.10.1%2Bdfsg

=== debian/control ===
Source: allegro5
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>, Andreas Rönnquist <gusnan@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               cmake,
               libdumb1-dev,
               libenet-dev,
               libflac-dev,
               libfreetype-dev,
               libgl-dev,
               libglu1-mesa-dev,
               libgtk-3-dev,
               libjpeg-dev,
               libopenal-dev,
               libopus-dev,
               libopusfile-dev,
               libphysfs-dev,
               libpng-dev,
               libpulse-dev,
               libtheora-dev,
               libvorbis-dev,
               libxext-dev,
               libxxf86vm-dev,
               libxrandr-dev,
               libxinerama-dev,
               libxpm-dev,
               libwebp-dev,
               fonts-dejavu-core,
               python3,
               indent
Build-Depends-Indep: pandoc, pandoc-data | pandoc (<< 1.11.1-4)
Rules-Requires-Root: no
Standards-Version: 4.7.0
Section: libs
Homepage: https://liballeg.org/
Vcs-Git: https://salsa.debian.org/games-team/allegro5.git
Vcs-Browser: https://salsa.debian.org/games-team/allegro5

Package: liballegro5.2t64
Provides: ${t64:Provides}
Replaces: liballegro5.2
Breaks: liballegro5.2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: portable library for cross-platform game and multimedia development
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still
 occupies the same niche and retains a familiar style.

Package: liballegro5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         liballegro5.2t64 (= ${binary:Version}),
         libc-dev,
         libgl-dev,
         libglu1-mesa-dev,
         libice-dev,
         libsm-dev,
         libx11-dev,
         libxcursor-dev,
         libxext-dev,
         libxinerama-dev,
         libxpm-dev,
         libxrandr-dev
Recommends: liballegro-acodec5-dev,
            liballegro-audio5-dev,
            liballegro-dialog5-dev,
            liballegro-image5-dev,
            liballegro-physfs5-dev,
            liballegro-ttf5-dev,
            liballegro-video5-dev
Suggests: allegro5-doc
Description: development files for the Allegro 5 library
 This package is needed to build programs using the Allegro 5 library.
 Contains header files.
 .
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still
 occupies the same niche and retains a familiar style.

Package: liballegro-acodec5.2t64
Provides: ${t64:Provides}
Replaces: liballegro-acodec5.2
Breaks: liballegro-acodec5.2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         liballegro5.2t64 (= ${binary:Version})
Description: audio codec addon for the Allegro 5 library
 This package provides the audio codec addon for the Allegro 5 library.
 This addon allows you to load audio sample formats.
 .
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still
 occupies the same niche and retains a familiar style.

Package: liballegro-acodec5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         liballegro-acodec5.2t64 (= ${binary:Version}),
         liballegro5-dev (= ${binary:Version}),
         libopenal-dev,
         libopus-dev,
         libpulse-dev,
         libdumb1-dev,
         libflac-dev,
         libvorbis-dev
Description: header files for the Allegro 5 audio codec addon
 This package is required to build programs that use the Allegro 5 audio
 codec addon.
 .
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still
 occupies the same niche and retains a familiar style.

Package: liballegro-audio5.2t64
Provides: ${t64:Provides}
Replaces: liballegro-audio5.2
Breaks: liballegro-audio5.2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballegro5.2t64 (= ${binary:Version})
Description: audio addon for the Allegro 5 library
 This package provides the audio addon for the Allegro 5 library. This
 addon allows you to play sounds in your Allegro 5 programs.
 .
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still
 occupies the same niche and retains a familiar style.

Package: liballegro-audio5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         liballegro-audio5.2t64 (= ${binary:Version}),
         liballegro5-dev (= ${binary:Version}),
         libopenal-dev,
         libpulse-dev
Description: header files for the Allegro 5 audio addon
 This package is required to build programs that use the Allegro 5 audio
 addon.
 .
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still
 occupies the same niche and retains a familiar style.

Package: liballegro-dialog5.2t64
Provides: ${t64:Provides}
Replaces: liballegro-dialog5.2
Breaks: liballegro-dialog5.2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballegro5.2t64 (= ${binary:Version})
Description: dialog addon for the Allegro 5 library
 This package provides the dialog addon for the Allegro 5 library. This
 addon allows you to show dialog boxes.
 .
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still
 occupies the same niche and retains a familiar style.

Package: liballegro-dialog5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         liballegro-dialog5.2t64 (= ${binary:Version}),
         liballegro5-dev (= ${binary:Version}),
         libgtk-3-dev
Description: header files for the Allegro 5 dialog addon
 This package is required to build programs that use the Allegro 5 dialog
 addon.
 .
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still
 occupies the same niche and retains a familiar style.

Package: liballegro-image5.2t64
Provides: ${t64:Provides}
Replaces: liballegro-image5.2
Breaks: liballegro-image5.2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballegro5.2t64 (= ${binary:Version})
Description: image addon for the Allegro 5 library
 This package provides the image addon for the Allegro 5 library. Provides
 support for loading image file formats.
 .
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still
 occupies the same niche and retains a familiar style.

Package: liballegro-image5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         liballegro-image5.2t64 (= ${binary:Version}),
         liballegro5-dev (= ${binary:Version}),
         libjpeg-dev,
         libpng-dev,
         libwebp-dev
Description: header files for the Allegro 5 image addon
 This package is required to build programs that use the Allegro 5 image
 addon.
 .
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still
 occupies the same niche and retains a familiar style.

Package: liballegro-physfs5.2t64
Provides: ${t64:Provides}
Replaces: liballegro-physfs5.2
Breaks: liballegro-physfs5.2 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
         liballegro5.2t64 (= ${binary:Version})
Description: physfs addon for the Allegro 5 library
 This package provides the physfs addon for the Allegro 5 library. This
 addon provides an interface to the PhysicsFS library, allowing you to
 mount virtual file-systems (e.g., archives) and access files as if they
 were physically on the file-system.
 .
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still
 occupies the same niche and retains a familiar style.

Package: liballegro-physfs5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         liballegro-physfs5.2t64 (= ${binary:Version}),
         liballegro5-dev (= ${binary:Version}),
         libphysfs-dev
Description: header files for the Allegro 5 physfs addon
 This package is required to build programs that use the Allegro 5 physfs
 addon.
 .
 Allegro is a cross-platform library intended for use in computer games
 and other types of multimedia programming. Allegro 5 is the latest major
 revision of the library, designed to take advantage of modern hardware
 (e.g. hardware acceleration using 3D cards) and operating systems.
 Although it is not backwards compatible with earlier versions, it still

## allegro5 5.2.10.1+dfsg

=== examples/CMakeLists.txt ===
include_directories(
    ../addons/acodec
    ../addons/audio
    ../addons/color
    ../addons/font
    ../addons/image
    ../addons/main
    ../addons/memfile
    ../addons/native_dialog
    ../addons/physfs
    ../addons/primitives
    ../addons/shader
    ../addons/ttf
    ../addons/video
    )

if(SUPPORT_PHYSFS)
    # The physfs example directly includes physfs.h
    include_directories(${PHYSFS_INCLUDE_DIR})
endif()

#-----------------------------------------------------------------------------#

# List dependencies explicitly for loading by Android APKs.

set(AUDIO x${AUDIO_LINK_WITH})
set(ACODEC ${AUDIO} x${ACODEC_LINK_WITH})
set(COLOR x${COLOR_LINK_WITH})
set(DIALOG x${NATIVE_DIALOG_LINK_WITH})
set(FONT x${FONT_LINK_WITH})
set(IMAGE x${IMAGE_LINK_WITH})
set(MEMFILE x${MEMFILE_LINK_WITH})
set(PHYSFS x${PHYSFS_LINK_WITH})
set(PRIM x${PRIMITIVES_LINK_WITH})
set(TTF ${FONT} x${TTF_LINK_WITH})
set(VIDEO x${VIDEO_LINK_WITH})
set(NIHGUI nihgui.cpp ${FONT} ${PRIM})

include(Helper.cmake)

#-----------------------------------------------------------------------------#

# Lists of data files to add to Android APKs, to appear after the DATA keyword.
# DATA_IMAGES is a special case that includes the DATA keyword.
# Examples don't necessarily use every file in the list.

set(DATA_IMAGES
    DATA
    a4_font.tga
    alexlogo.bmp
    alexlogo.png
    allegro.pcx
    bkg.png
    bmpfont.tga
    cursor.tga
    fakeamp.bmp
    fixed_font.tga
    font.tga
    gradient1.bmp
    haiku/air_effect.png
    icon.tga
    mysha.pcx
    mysha256x256.png
    obp.jpg
    texture.tga
    texture2.tga
    )

set(DATA_TTF
    DejaVuSans.ttf
    a4_font.fnt
    )

set(DATA_AUDIO
    welcome.wav
    welcome.voc
    )

set(DATA_SHADERS
    ex_prim_shader_pixel.glsl
    ex_prim_shader_pixel.hlsl
    ex_prim_shader_vertex.glsl
    ex_prim_shader_vertex.hlsl
    ex_prim_wrap_pixel.glsl
    ex_prim_wrap_pixel.hlsl
    ex_shader_multitex_pixel.glsl
    ex_shader_multitex_pixel.hlsl
    ex_shader_palette_pixel.glsl
    ex_shader_pixel.glsl
    ex_shader_pixel.hlsl
    ex_shader_vertex.glsl
    ex_shader_vertex.hlsl
    )

file(GLOB DATA_HAIKU RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/data data/haiku/*)
set(DATA_HAIKU ${DATA_HAIKU})

#-----------------------------------------------------------------------------#

example(ex_config DATA sample.cfg)
example(ex_dir ${DATA_IMAGES})
example(ex_file CONSOLE ${DATA_IMAGES})
example(ex_file_slice CONSOLE)
example(ex_get_path)
example(ex_memfile CONSOLE ${MEMFILE})
example(ex_monitorinfo)
example(ex_path)
example(ex_path_test)
example(ex_user_events)
example(ex_inject_events)

if(NOT MSVC)
    # UTF-8 strings are problematic under MSVC.
    example(ex_utf8)
endif(NOT MSVC)

if(ANDROID)
    example(ex_android ${IMAGE} ${PRIM} ${DATA_IMAGES})
endif(ANDROID)

example(ex_bitmap ${IMAGE} ${DATA_IMAGES})
example(ex_bitmap_file ${IMAGE} ${DATA_IMAGES})
example(ex_bitmap_flip ${IMAGE} ${FONT} ${DATA_IMAGES})
example(ex_blend ${FONT} ${IMAGE} ${PRIM} ${DATA_IMAGES})
example(ex_blend2 ex_blend2.cpp ${NIHGUI} ${IMAGE} ${DATA_IMAGES})
example(ex_blend_bench ${IMAGE} ${PRIM} ${DATA_IMAGES})
example(ex_blend_test ${PRIM})
example(ex_blend_target ${IMAGE} ${DATA_IMAGES})
example(ex_blit ${FONT} ${IMAGE} ${COLOR} ${DATA_IMAGES})
example(ex_clip ${FONT} ${COLOR})
example(ex_clipboard ${IMAGE} ${FONT} ${DATA_IMAGES})
example(ex_color ex_color.cpp ${NIHGUI} ${TTF} ${COLOR} DATA ${DATA_TTF})
example(ex_color2 ex_color2.c ${FONT} ${COLOR} ${PRIM})
example(ex_color_gradient ex_color_gradient.c ${TTF} ${COLOR} ${PRIM} DATA ${DATA_TTF})
example(ex_compressed ${IMAGE} ${FONT} ${DATA_IMAGES})
example(ex_convert CONSOLE ${IMAGE})
example(ex_cpu ${FONT})
example(ex_depth_mask ${IMAGE} ${TTF} ${DATA_IMAGES} ${DATA_TTF})
example(ex_depth_target ${IMAGE} ${FONT} ${COLOR} ${PRIM})
example(ex_disable_screensaver ${FONT})
example(ex_display_events ${FONT} ${PRIM})
example(ex_display_options ${FONT} ${PRIM})
example(ex_drag_and_drop ${IMAGE} ${FONT} ${TTF} ${COLOR} ${PRIM})
example(ex_draw ${FONT} ${IMAGE} ${COLOR} ${PRIM} ${DATA_IMAGES})
example(ex_draw_bitmap ${IMAGE} ${FONT} ${DATA_IMAGES})
example(ex_drawpixels)
example(ex_dualies ${IMAGE})
example(ex_expose ${IMAGE} ${PRIM} ${DATA_IMAGES})
example(ex_filter ${FONT} ${IMAGE} ${COLOR} ${DATA_IMAGES})
example(ex_fs_resize ${IMAGE} ${PRIM} ${DATA_IMAGES})
example(ex_fs_window ${IMAGE} ${PRIM} ${FONT} ${DATA_IMAGES})
example(ex_icon ${IMAGE} ${DATA_IMAGES})
example(ex_icon2 ${IMAGE} ${DATA_IMAGES})
example(ex_haptic ${PRIM})
example(ex_haptic2 ex_haptic2.cpp ${NIHGUI} ${TTF} DATA ${DATA_TTF})
example(ex_joystick_events ${PRIM} ${FONT})
example(ex_joystick_hotplugging ${PRIM})
example(ex_keyboard_events)
example(ex_keyboard_focus)
example(ex_lines ${PRIM})
example(ex_loading_thread ${IMAGE} ${FONT} ${PRIM} ${DATA_IMAGES})
example(ex_lockbitmap)
example(ex_membmp ${FONT} ${IMAGE} ${DATA_IMAGES})
example(ex_mouse ${IMAGE} ${PRIM} ${DATA_IMAGES})
example(ex_mouse_cursor ${FONT} ${IMAGE} ${DATA_IMAGES})
example(ex_mouse_events ${FONT} ${IMAGE} ${PRIM} ${DATA_IMAGES})
example(ex_mouse_focus)
example(ex_mouse_warp ${FONT} ${PRIM})
example(ex_multisample ${FONT} ${COLOR} ${PRIM})
example(ex_multisample_target ${IMAGE} ${FONT} ${COLOR} ${PRIM})
example(ex_multiwin ${IMAGE})
example(ex_nodisplay ${IMAGE} ${DATA_IMAGES})
example(ex_noframe ${IMAGE} ${DATA_IMAGES})
example(ex_physfs ${PHYSFS} ${IMAGE} ${DATA_IMAGES})
example(ex_pixelformat ex_pixelformat.cpp ${NIHGUI} ${IMAGE} ${DATA_IMAGES})
example(ex_polygon ${FONT} ${PRIM})
example(ex_premulalpha ${FONT})
example(ex_prim ${FONT} ${IMAGE} ${PRIM} ${DATA_IMAGES})
example(ex_prim_shader ${PRIM} DATA ${DATA_SHADERS})
example(ex_prim_wrap ${IMAGE} ${FONT} ${PRIM} ${DATA_IMAGES} ${DATA_SHADERS})
example(ex_reparent ${IMAGE} ${PRIM} ${DATA_IMAGES})
example(ex_resize ${PRIM})
example(ex_resize2 ${IMAGE} ${FONT})
example(ex_rotate ${IMAGE} ${DATA_IMAGES})
example(ex_scale ${IMAGE} ${DATA_IMAGES})
example(ex_shader ex_shader.cpp ${IMAGE} ${DATA_IMAGES} ${DATA_SHADERS})
example(ex_shader_multitex ${IMAGE} ${DATA_IMAGES} ${DATA_SHADERS})
example(ex_shader_target ${IMAGE} ${DATA_IMAGES} ${DATA_SHADERS})
example(ex_subbitmap ${IMAGE} ${PRIM} ${DATA_IMAGES})
example(ex_threads ${PRIM})
example(ex_threads2)
example(ex_timedwait ${FONT})
example(ex_timer ${FONT} ${PRIM})
example(ex_timer_pause)
example(ex_touch_input ${PRIM})
example(ex_transform ${FONT} ${IMAGE} ${PRIM} ${DATA_IMAGES})
example(ex_vertex_buffer ${FONT} ${PRIM})
example(ex_vsync ${FONT} ${IMAGE} ${PRIM})
example(ex_windows ${FONT} ${IMAGE})
example(ex_window_constraints ${FONT} ${IMAGE})
example(ex_window_maximized ${FONT} ${IMAGE} ${PRIM} ${DIALOG})
example(ex_window_title ${IMAGE} ${FONT} ${DATA_IMAGES})
example(ex_winfull)
example(ex_video ${AUDIO} ${FONT} ${PRIM} ${VIDEO})

if(WANT_D3D AND D3DX9_FOUND)
    example(ex_d3d ex_d3d.cpp EXTRA_LIBS ${D3DX9_LIBRARY})
endif()

if(SUPPORT_OPENGL AND NOT SUPPORT_OPENGLES)
    example(ex_gldepth ${FONT} ${IMAGE})
    example(ex_glext)
    example(ex_opengl)
    example(ex_opengl_pixel_shader ${IMAGE})
endif()
if(SUPPORT_OPENGL AND NOT IPHONE AND NOT ALLEGRO_RASPBERRYPI)
    example(ex_palette ${IMAGE} ${COLOR} ${DATA_IMAGES} ${DATA_SHADERS})
endif()

example(ex_font ${FONT} ${IMAGE} ${DATA_IMAGES})
example(ex_font_justify ex_font_justify.cpp ${NIHGUI} ${IMAGE} ${TTF} ${DATA_IMAGES} ${DATA_TTF})
example(ex_font_multiline ex_font_multiline.cpp ${NIHGUI} ${IMAGE} ${TTF} ${COLOR} ${DATA_IMAGES} ${DATA_TTF})
example(ex_logo ${FONT} ${TTF} ${IMAGE} ${PRIM} DATA ${DATA_TTF})
example(ex_projection ${TTF} ${IMAGE} ${DATA_IMAGES} ${DATA_TTF})
example(ex_projection2 ${PRIM} ${FONT} ${IMAGE} ${DATA_IMAGES})
example(ex_camera ${FONT} ${COLOR} ${PRIM} ${IMAGE})
example(ex_ttf ${TTF} ${PRIM} ${IMAGE} DATA ${DATA_TTF} ex_ttf.ini)

example(ex_acodec CONSOLE ${AUDIO} ${ACODEC})
example(ex_acodec_multi CONSOLE ${AUDIO} ${ACODEC})
example(ex_audio_devices ${AUDIO})
example(ex_audio_chain ex_audio_chain.cpp ${AUDIO} ${ACODEC} ${PRIM} ${FONT} ${TTF} DATA ${DATA_TTF} ${DATA_HAIKU})
example(ex_audio_props ex_audio_props.cpp ${NIHGUI} ${ACODEC} DATA ${DATA_AUDIO})
example(ex_audio_simple CONSOLE ${AUDIO} ${ACODEC} ${FONT})
example(ex_audio_timer ${AUDIO} ${FONT})
example(ex_haiku ${AUDIO} ${ACODEC} ${IMAGE} ${DATA_IMAGES} ${DATA_HAIKU})
example(ex_kcm_direct CONSOLE ${AUDIO} ${ACODEC})
example(ex_mixer_chain CONSOLE ${AUDIO} ${ACODEC})
example(ex_mixer_pp ${AUDIO} ${ACODEC} ${PRIM} ${IMAGE} ${DATA_IMAGES} ${DATA_AUDIO})
example(ex_record ${AUDIO} ${ACODEC} ${PRIM})
example(ex_record_name ${AUDIO} ${ACODEC} ${PRIM} ${IMAGE} ${FONT})
example(ex_resample_test ${AUDIO})
example(ex_saw ${AUDIO})
example(ex_stream_file CONSOLE ${AUDIO} ${ACODEC})
example(ex_stream_seek ${AUDIO} ${ACODEC} ${PRIM} ${FONT} ${IMAGE} ${DATA_IMAGES} ${DATA_AUDIO})
example(ex_synth ex_synth.cpp ${NIHGUI} ${AUDIO} ${TTF} DATA ${DATA_TTF})

example(ex_native_filechooser ${DIALOG} ${FONT} ${IMAGE} ${COLOR} ${DATA_IMAGES})
example(ex_menu ${DIALOG} ${IMAGE})

# In some configurations CURL pulls in dependencies which we don't check for.
# This example isn't important so it's disabled by default to prevent problems.
option(WANT_CURL_EXAMPLE "Build ex_curl example" off)
if(WANT_CURL_EXAMPLE)
    find_package(CURL)
    if(CURL_FOUND)
        if(WIN32)
            # select() is in the Winsock library.
            example(ex_curl ${IMAGE} EXTRA_LIBS ${CURL_LIBRARIES} ws2_32)
        else(WIN32)
            example(ex_curl ${IMAGE} EXTRA_LIBS ${CURL_LIBRARIES})
        endif(WIN32)
    endif(CURL_FOUND)
endif(WANT_CURL_EXAMPLE)

# Only build the enet examples if libenet is installed
find_package(ENet)
if(ENET_FOUND)
    example(ex_enet_client ${PRIM} EXTRA_LIBS ${ENET_LIBRARIES})
    example(ex_enet_server EXTRA_LIBS ${ENET_LIBRARIES})
endif()

# example(ex_ogre3d ex_ogre3d.cpp)
# include_directories(/usr/include/OGRE)
# target_link_libraries(ex_ogre3d OgreMain)

# This is useful for developers to add temporary test programs.
include(${CMAKE_CURRENT_SOURCE_DIR}/local_examples.cmake OPTIONAL)

#-----------------------------------------------------------------------------#
# vim: set ts=8 sts=4 sw=4 et:

=== addons/acodec/CMakeLists.txt ===
include_directories(../audio)

option(WANT_FLAC "Enable FLAC support" on)
if(WIN32)
    option(FLAC_STATIC "Set this if linking with a static FLAC library" off)
endif()
option(WANT_VORBIS "Enable Ogg Vorbis support using libvorbis" on)
option(WANT_TREMOR "Enable Ogg Vorbis support using Tremor" off)
option(WANT_OPUS "Enable Opus support using libopus" on)
option(WANT_DUMB "Enable mod audio support using DUMB" on)
option(WANT_OPENMPT "Enable mod audio support using OpenMPT" on)
option(WANT_ACODEC_DYNAMIC_LOAD "Enable DLL loading in acodec (Windows)" off)
option(WANT_MP3 "Enable MP3 support" on)

#-----------------------------------------------------------------------------#

set(ACODEC_INCLUDE_FILES
    allegro5/allegro_acodec.h
    )

set_our_header_properties(${ACODEC_INCLUDE_FILES})

set(ACODEC_SOURCES
    acodec.c
    wav.c
    helper.c
    voc.c        # built-in enhanced port of A4 loader
    )
set(ACODEC_LIBRARIES)

# For dynamic loading, we want to make sure that CMake has found an import
# library and not a static library. We assume that the name of the DLL to load
# is the same as the import library, bar the extension.
#
# With MSVC, static libraries and import libraries share the same extension.
# Luckily the MSVC static libraries for FLAC and Vorbis are named with a
# _static suffix.
# With MinGW, static libraries end with .a, and import libraries end with
# .dll.a so we can tell them apart. (The regex for this is a bodge.)
set(WIN32_STATIC_LIB_REGEX "_static[.]|[^l][.]a")

function(get_dll_name implib dllname_var)
    if(MINGW)
        # Guess the name of dlltool from gcc.
        string(REGEX REPLACE "gcc.*" dlltool DLLTOOL ${CMAKE_C_COMPILER})
        execute_process(
            COMMAND ${DLLTOOL} -I ${implib}
            OUTPUT_VARIABLE dllname
            OUTPUT_STRIP_TRAILING_WHITESPACE
            )
    elseif(MSVC)
        # Not sure this is the best way.
        execute_process(
            COMMAND lib /LIST ${implib}
            OUTPUT_VARIABLE output
            )
        if(output STREQUAL "")
            message("WARNING: Failed to execute lib /list")
        else()
            string(REGEX MATCH "[^\n]+[.]dll" dllname "${output}")
        endif()
    endif()
    if(NOT dllname)
        # Guess from the basename.
        get_filename_component(basename "${implib}" NAME_WE)
        set(dllname "${basename}.dll")
    endif()
    message(STATUS "DLL name for ${implib}: ${dllname}")
    set(${dllname_var} ${dllname} PARENT_SCOPE)
endfunction(get_dll_name)

set(ACODEC_CONFIGURATION_SUMMARY "")

function(acodec_summary msg yesno)
    if(${yesno})
        set(yesno "yes")
    else()
        # No's are more important, so shout them.
        set(yesno "NO")
    endif()
    set(ACODEC_CONFIGURATION_SUMMARY "${ACODEC_CONFIGURATION_SUMMARY}${msg}: ${yesno}\n" PARENT_SCOPE)
endfunction()

#
# FLAC
#

if(WANT_FLAC)
    find_package(FLAC)
    if(FLAC_FOUND)
        if(FLAC_LIBRARY MATCHES "${WIN32_STATIC_LIB_REGEX}")
            set(FLAC_STATIC 1)
        endif()
        if(FLAC_STATIC)
            set(FLAC__NO_DLL "-DFLAC__NO_DLL")
        endif()
        set(CMAKE_REQUIRED_INCLUDES ${FLAC_INCLUDE_DIR})
        if(MSVC)
            set(CMAKE_REQUIRED_LIBRARIES ${FLAC_LIBRARIES})
        else()
            # FLAC requires libm on Android, doesn't seem to hurt elsewhere either.
            set(CMAKE_REQUIRED_LIBRARIES ${FLAC_LIBRARIES} m)
        endif()
        set(CMAKE_REQUIRED_DEFINITIONS ${FLAC__NO_DLL})
        run_c_compile_test("
            #include <FLAC/stream_decoder.h>
            int main(void)
            {
                (void)FLAC__stream_decoder_new();
                return 0;
            }"
            FLAC_COMPILES)
        set(CMAKE_REQUIRED_INCLUDES)
        set(CMAKE_REQUIRED_LIBRARIES)
        set(CMAKE_REQUIRED_DEFINITIONS)
        if(FLAC_COMPILES)
            set(SUPPORT_FLAC 1)
        endif(FLAC_COMPILES)
    endif(FLAC_FOUND)
    if(NOT SUPPORT_FLAC)
        message("WARNING: libFLAC not found or compile test failed, disabling support.")
    endif(NOT SUPPORT_FLAC)
endif(WANT_FLAC)

if(SUPPORT_FLAC)
    include_directories(SYSTEM ${FLAC_INCLUDE_DIR})
    set(ALLEGRO_CFG_ACODEC_FLAC 1)
    list(APPEND ACODEC_SOURCES flac.c)

    list(APPEND ACODEC_INCLUDE_DIRECTORIES ${FLAC_INCLUDE_DIR})

    if(WIN32)
        if(WANT_ACODEC_DYNAMIC_LOAD)
            if(FLAC_STATIC)
                message("WARNING: Dynamic loading will be disabled for FLAC as"
                        " static library was found: ${FLAC_LIBRARY}")
            else()
                get_dll_name(${FLAC_LIBRARY} ALLEGRO_CFG_ACODEC_FLAC_DLL)
            endif()
        endif()
    endif(WIN32)

    if(NOT ALLEGRO_CFG_ACODEC_FLAC_DLL)
        list(APPEND ACODEC_LIBRARIES ${FLAC_LIBRARIES})
    endif()
endif(SUPPORT_FLAC)

acodec_summary(" - FLAC" SUPPORT_FLAC)

#
# MOD audio
#

if(WANT_DUMB)
    find_package(DUMB)
    if(DUMB_FOUND)
        set(CMAKE_REQUIRED_INCLUDES ${DUMB_INCLUDE_DIR})
        set(CMAKE_REQUIRED_LIBRARIES ${DUMB_LIBRARIES})
        run_c_compile_test("
            #define _FILE_OFFSET_BITS 64
            #include <dumb.h>
            #if (DUMB_MAJOR_VERSION) == 1
                #error libdumb 1.0 not supported, get >= 2.0 or 0.9.3
            #endif
            int main(void)
            {
                dumb_register_stdfiles();
                return 0;
            }"
            DUMB_COMPILES)
        set(CMAKE_REQUIRED_INCLUDES)
        set(CMAKE_REQUIRED_LIBRARIES)
        if(DUMB_COMPILES)
            set(SUPPORT_DUMB 1)
        endif(DUMB_COMPILES)
    endif(DUMB_FOUND)
    if(NOT SUPPORT_DUMB)
        message("WARNING: libdumb >= 2.0 or <= 0.9.3 not found or compile "
                "test failed, disabling support. See "
                "<https://github.com/kode54/dumb> for 2.0 or "
                "<http://dumb.sourceforge.net/> for 0.9.3.")
    endif(NOT SUPPORT_DUMB)
endif(WANT_DUMB)

if(SUPPORT_DUMB)
    include_directories(SYSTEM ${DUMB_INCLUDE_DIR})
    set(ALLEGRO_CFG_ACODEC_DUMB 1)
    list(APPEND ACODEC_SOURCES dumb.c)

    list(APPEND ACODEC_INCLUDE_DIRECTORIES ${DUMB_INCLUDE_DIR})

    if(WIN32 AND WANT_ACODEC_DYNAMIC_LOAD)
        if(DUMB_LIBRARY MATCHES "${WIN32_STATIC_LIB_REGEX}")
            message("WARNING: Dynamic loading will be disabled for DUMB"
                    " as static library was found: ${DUMB_LIBRARY}")
        else()
            get_dll_name(${DUMB_LIBRARY} ALLEGRO_CFG_ACODEC_DUMB_DLL)
        endif()
    endif()

    if(NOT ALLEGRO_CFG_ACODEC_DUMB_DLL)
        list(APPEND ACODEC_LIBRARIES ${DUMB_LIBRARIES})
    endif()
endif()

acodec_summary(" - DUMB" SUPPORT_DUMB)

if(WANT_OPENMPT)
    find_package(OpenMPT)

    option(OPENMPT_ZLIB "Enable if OpenMPT static library needs zlib linked in." off)
    option(OPENMPT_VORBIS "Enable if OpenMPT static library needs Ogg/Vorbis linked in." off)
    if(OPENMPT_FOUND)
        set(CMAKE_REQUIRED_INCLUDES ${OPENMPT_INCLUDE_DIR})
        set(CMAKE_REQUIRED_LIBRARIES ${OPENMPT_LIBRARIES})

        set(OPENMPT_TEST_SOURCE "
            #include <libopenmpt/libopenmpt.h>
            #include <libopenmpt/libopenmpt_stream_callbacks_file.h>
            int main(void)
            {
                openmpt_module *mod = openmpt_module_create(
                    openmpt_stream_get_file_callbacks(), NULL, NULL, NULL, NULL);
                openmpt_module_read_interleaved_stereo(mod, 44100, 1, NULL);
                return 0;
            }")

        run_cxx_compile_test(
            "${OPENMPT_TEST_SOURCE}"
            OPENMPT_COMPILES)
        set(CMAKE_REQUIRED_INCLUDES)
        set(CMAKE_REQUIRED_LIBRARIES)
        if(OPENMPT_COMPILES)
            set(SUPPORT_OPENMPT 1)
            set(ALL_OPENMPT_LIBRARIES ${OPENMPT_LIBRARIES})
        else()
            if(OPENMPT_ZLIB)
                find_package(ZLIB)
            endif()

            if(OPENMPT_VORBIS)
                find_package(Vorbis)
            endif()

            # Try compiling with the extra dependencies.
            set(OPENMPT_STATIC_LIBRARIES ${OPENMPT_LIBRARIES})
            if(OPENMPT_ZLIB AND ZLIB_FOUND)
                list(APPEND OPENMPT_STATIC_LIBRARIES "${ZLIB_LIBRARIES}")
            endif()

            if(OPENMPT_VORBIS AND VORBIS_FOUND)
                list(APPEND OPENMPT_STATIC_LIBRARIES "${VORBIS_LIBRARIES}")
            endif()

            set(CMAKE_REQUIRED_LIBRARIES ${OPENMPT_STATIC_LIBRARIES})
            set(CMAKE_REQUIRED_INCLUDES ${OPENMPT_INCLUDE_DIR})
            run_cxx_compile_test("${OPENMPT_TEST_SOURCE}" OPENMPT_COMPILES_WITH_EXTRA_DEPS)
            set(CMAKE_REQUIRED_INCLUDES)
            set(CMAKE_REQUIRED_LIBRARIES)
            if(OPENMPT_COMPILES_WITH_EXTRA_DEPS)
                set(SUPPORT_OPENMPT 1)
                set(ALL_OPENMPT_LIBRARIES ${OPENMPT_STATIC_LIBRARIES})
            endif()
        endif()
    endif()
endif()

if(SUPPORT_OPENMPT)
    include_directories(SYSTEM ${OPENMPT_INCLUDE_DIR})
    set(ALLEGRO_CFG_ACODEC_OPENMPT 1)
    list(APPEND ACODEC_SOURCES openmpt.c)
    list(APPEND ACODEC_INCLUDE_DIRECTORIES ${OPENMPT_INCLUDE_DIR})
    list(APPEND ACODEC_LIBRARIES ${ALL_OPENMPT_LIBRARIES})
endif()

acodec_summary(" - OpenMPT" SUPPORT_OPENMPT)

if(SUPPORT_OPENMPT OR SUPPORT_DUMB)
    list(APPEND ACODEC_SOURCES modaudio.c)
endif(SUPPORT_OPENMPT OR SUPPORT_DUMB)

#
# Vorbis/Tremor
#

if(WANT_TREMOR)
    find_package(Tremor)
    if(TREMOR_FOUND)
        set(CMAKE_REQUIRED_INCLUDES ${TREMOR_INCLUDE_DIR})
        set(CMAKE_REQUIRED_LIBRARIES ${TREMOR_LIBRARIES})
        run_c_compile_test("
            #include <tremor/ivorbisfile.h>
            int main(void)
            {
                OggVorbis_File f;
                ov_info(&f, -1);
                return 0;
            }"
            TREMOR_COMPILES)
        set(CMAKE_REQUIRED_INCLUDES)
        set(CMAKE_REQUIRED_LIBRARIES)
        if(TREMOR_COMPILES OR IPHONE OR ALLEGRO_RASPBERRYPI)
            set(SUPPORT_VORBIS 1)
        endif(TREMOR_COMPILES OR IPHONE OR ALLEGRO_RASPBERRYPI)
    endif(TREMOR_FOUND)
    if(NOT SUPPORT_VORBIS)
        message("WARNING: Tremor not found although WANT_TREMOR was specified.")
    else(NOT SUPPORT_VORBIS)
        # mimic regular libogg/libvorbis
        set(OGG_INCLUDE_DIR ${TREMOR_INCLUDE_DIR})
        set(VORBIS_INCLUDE_DIR ${TREMOR_INCLUDE_DIR})
        set(VORBIS_LIBRARIES ${TREMOR_LIBRARIES})
        set(ALLEGRO_CFG_ACODEC_TREMOR 1)
    endif(NOT SUPPORT_VORBIS)
elseif(WANT_VORBIS)
    find_package(Vorbis)
    if(VORBIS_FOUND)
        set(CMAKE_REQUIRED_INCLUDES ${OGG_INCLUDE_DIR} ${VORBIS_INCLUDE_DIR})
        if(MSVC)
            set(CMAKE_REQUIRED_LIBRARIES "${VORBIS_LIBRARIES}")
        else()
            # libm is required when linking statically.
            set(CMAKE_REQUIRED_LIBRARIES "${VORBIS_LIBRARIES};m")
        endif()
        run_c_compile_test("
            #include <vorbis/vorbisfile.h>
            int main(void)
            {
                OggVorbis_File f;
                ov_callbacks callback;
                vorbis_info *v = 0;
                (void)v;
                ov_info(&f, -1);
                callback = OV_CALLBACKS_NOCLOSE;
                return 0;
            }"
            VORBIS_COMPILES)
        set(CMAKE_REQUIRED_INCLUDES)
        set(CMAKE_REQUIRED_LIBRARIES)
        if(VORBIS_COMPILES)
            set(SUPPORT_VORBIS 1)
        endif()
    endif(VORBIS_FOUND)
    if(NOT SUPPORT_VORBIS)
        message("WARNING: libvorbis not found or compile test failed, disabling support.")
    endif(NOT SUPPORT_VORBIS)
endif()

if(SUPPORT_VORBIS)
    include_directories(SYSTEM ${OGG_INCLUDE_DIR} ${VORBIS_INCLUDE_DIR})
    set(ALLEGRO_CFG_ACODEC_VORBIS 1)
    list(APPEND ACODEC_SOURCES ogg.c)

    list(APPEND ACODEC_INCLUDE_DIRECTORIES ${OGG_INCLUDE_DIR} ${VORBIS_INCLUDE_DIR})

    if(WIN32 AND WANT_ACODEC_DYNAMIC_LOAD AND NOT WANT_TREMOR)
        if(VORBISFILE_LIBRARY MATCHES "${WIN32_STATIC_LIB_REGEX}")

=== addons/color/CMakeLists.txt ===
set(COLOR_SOURCES color.c)

set(COLOR_INCLUDE_FILES
    allegro5/allegro_color.h
    )

set_our_header_properties(${COLOR_INCLUDE_FILES})

add_our_addon_library(allegro_color
    AllegroColor-${ALLEGRO_SOVERSION}
    "${COLOR_SOURCES};${COLOR_INCLUDE_FILES}"
    "-DALLEGRO_COLOR_SRC"
    "${ALLEGRO_LINK_WITH}"
    )

install_our_headers(${COLOR_INCLUDE_FILES})

add_addon(color)

#-----------------------------------------------------------------------------#
# vi: set ts=8 sts=4 sw=4 et:

=== addons/main/CMakeLists.txt ===
if(ALLEGRO_MACOSX)
    set(MAIN_SOURCES osx_main.m)
    set(SUPPORT_ALLEGRO_MAIN 1)
endif(ALLEGRO_MACOSX)

if(NOT SUPPORT_ALLEGRO_MAIN)
    set(MAIN_SOURCES generic_main.c)
    set(SUPPORT_ALLEGRO_MAIN 1)
endif(NOT SUPPORT_ALLEGRO_MAIN)

add_our_addon_library(allegro_main
   AllegroMain-${ALLEGRO_SOVERSION}
   "${MAIN_SOURCES}"
   "-DALLEGRO_SRC"
   "${ALLEGRO_LINK_WITH}"
   )

add_addon(main)

# vim: set sts=4 sw=4 et:

=== addons/native_dialog/CMakeLists.txt ===
set(NATIVE_DIALOG_INCLUDE_FILES allegro5/allegro_native_dialog.h)

set_our_header_properties(${NATIVE_DIALOG_INCLUDE_FILES})

set(NATIVE_DIALOG_SOURCES
    dialog.c
    textlog.c
    menu.c
    )

set(GTK_NATIVE_DIALOG_SOURCES
    gtk_dialog.c
    gtk_filesel.c
    gtk_menu.c
    gtk_msgbox.c
    gtk_textlog.c
    gtk_thread.c
    gtk_xgtk.c
    )

if(APPLE AND NOT IPHONE)
   list(APPEND NATIVE_DIALOG_SOURCES osx_dialog.m)
   set(ALLEGRO_CFG_NATIVE_DIALOG_OSX 1)
   set(SUPPORT_NATIVE_DIALOG 1)
endif(APPLE AND NOT IPHONE)

if(APPLE AND IPHONE)
   list(APPEND NATIVE_DIALOG_SOURCES iphone_dialog.m)
   set(ALLEGRO_CFG_NATIVE_DIALOG_IPHONE 1)
   set(SUPPORT_NATIVE_DIALOG 1)
endif(APPLE AND IPHONE)

if(ANDROID)
    list(APPEND NATIVE_DIALOG_SOURCES android_dialog.c)
    set(ALLEGRO_CFG_NATIVE_DIALOG_ANDROID 1)
    set(SUPPORT_NATIVE_DIALOG 1)
endif(ANDROID)

if(WIN32)
   list(APPEND NATIVE_DIALOG_SOURCES win_dialog.c)
   set(ALLEGRO_CFG_NATIVE_DIALOG_WINDOWS 1)
   set(SUPPORT_NATIVE_DIALOG 1)
endif(WIN32)

if(NOT SUPPORT_NATIVE_DIALOG AND SUPPORT_X11 AND NOT ALLEGRO_RASPBERRYPI)
    pkg_check_modules(GTK gtk+-3.0)
    pkg_check_modules(GT gthread-2.0)
    if(GTK_FOUND AND GT_FOUND)
        list(APPEND NATIVE_DIALOG_SOURCES ${GTK_NATIVE_DIALOG_SOURCES})
        list(APPEND NATIVE_DIALOG_INCLUDE_DIRECTORIES
            ${GTK_INCLUDE_DIRS} ${GT_INCLUDE_DIRS})
        list(APPEND NATIVE_DIALOG_LIBRARIES ${GTK_LIBRARIES} ${GT_LIBRARIES})
        set_source_files_properties(
            ${GTK_NATIVE_DIALOG_SOURCES}
            PROPERTIES
            COMPILE_FLAGS "${GTK_CFLAGS_STRING}"
            )
        set(ALLEGRO_CFG_NATIVE_DIALOG_GTK 1)
        set(SUPPORT_NATIVE_DIALOG 1)
    endif()
endif()

if(SUPPORT_NATIVE_DIALOG)
   configure_file(
       allegro5/internal/aintern_native_dialog_cfg.h.cmake
       ${PROJECT_BINARY_DIR}/include/allegro5/internal/aintern_native_dialog_cfg.h
       )
   
   include_directories(SYSTEM ${NATIVE_DIALOG_INCLUDE_DIRECTORIES})

   # Note: allegro_dialog NOT allegro_native_dialog.
   add_our_addon_library(allegro_dialog
       AllegroDialog-${ALLEGRO_SOVERSION}
       "${NATIVE_DIALOG_SOURCES};${NATIVE_DIALOG_INCLUDE_FILES}"
       "-DALLEGRO_NATIVE_DIALOG_SRC"
       "${NATIVE_DIALOG_LIBRARIES};${ALLEGRO_LINK_WITH}"
       )

   install_our_headers(${NATIVE_DIALOG_INCLUDE_FILES})

   # Note: allegro_dialog NOT allegro_native_dialog.
   add_addon2(native_dialog allegro_dialog)
endif(SUPPORT_NATIVE_DIALOG)

# vim: set sts=4 sw=4 et:

=== addons/physfs/CMakeLists.txt ===
include_directories(SYSTEM ${PHYSFS_INCLUDE_DIR})

set(PHYSFS_SOURCES a5_physfs.c a5_physfs_dir.c)

set(PHYSFS_INCLUDE_FILES allegro5/allegro_physfs.h)

# This allows the monolith build to find the files.
set(PHYSFS_INCLUDE_DIRECTORIES ${PHYSFS_INCLUDE_DIR})

set_our_header_properties(${PHYSFS_INCLUDE_FILES})

add_our_addon_library(allegro_physfs
   AllegroPhysfs-${ALLEGRO_SOVERSION}
   "${PHYSFS_SOURCES};${PHYSFS_INCLUDE_FILES}"
   "-DALLEGRO_PHYSFS_SRC"
   "${ALLEGRO_LINK_WITH};${PHYSFS_LIBRARIES}"
   )

install_our_headers(${PHYSFS_INCLUDE_FILES})

add_addon(physfs)

#-----------------------------------------------------------------------------#
# vi: set ts=8 sts=4 sw=4 et:

=== debian/changelog ===
allegro5 (2:5.2.10.1+dfsg-3) unstable; urgency=medium

  * Drop depends on libdumb to be independent of allegro4
  * Fix lintian redundant-rules-requires-root-no-field

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 04 Oct 2025 19:02:00 +0200

allegro5 (2:5.2.10.1+dfsg-2) unstable; urgency=medium

  * Add patch to build with cmake 4 (Closes: #1112695)
  * Fix lintian warning old-fsf-address-in-copyright-file
  * Update copyright year
  * Upgrade to Standards Version 4.7.2 (No changes required)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 02 Sep 2025 14:23:07 +0200

allegro5 (2:5.2.10.1+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.10.1+dfsg

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 09 Jan 2025 14:52:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Uploaders: Tobias Hansen <thansen@debian.org>, Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
-               libdumb1-dev,
                libenet-dev,
                libflac-dev,
                libfreetype-dev,
@@ -30,8 +29,7 @@
                python3,
                indent
 Build-Depends-Indep: pandoc, pandoc-data | pandoc (<< 1.11.1-4)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://liballeg.org/
 Vcs-Git: https://salsa.debian.org/games-team/allegro5.git
@@ -120,7 +118,6 @@
          libopenal-dev,
          libopus-dev,
          libpulse-dev,
-         libdumb1-dev,
          libflac-dev,
          libvorbis-dev
 Description: header files for the Allegro 5 audio codec addon
@@ -293,3 +290,7 @@
  revision of the library, designed to take advantage of modern hardware
  (e.g. hardware acceleration using 3D cards) and operating systems.
  Although it is not backwards compatible with earlier versions, it still
+ occupies the same niche and retains a familiar style.
+
+Package: liballegro-ttf5.2t64
+Provides: ${t64:Provides}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Use this variable to allow options passed to cmake to be overridable.
# WANT_EXAMPLES is set to ON only to check if they build successfully,
# as their source is shipped in the doc package.
DEB_CMAKE_OPTIONS ?= -DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_INSTALL_PREFIX="/usr" \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
                -DWANT_DEMO=OFF \
                -DWANT_EXAMPLES=ON \
                -DWANT_DOCS=ON \
                -DWANT_DOCS_HTML=ON \
                -DWANT_DOCS_MAN=ON \
                -DWANT_DUMB=OFF

ADDONS = acodec audio image physfs ttf video
ADDONS_INSTALL = $(ADDONS:%=debian/liballegro-%5.2t64.install)
ADDONS_DEV_INSTALL = $(ADDONS:%=debian/liballegro-%5-dev.install)

debian/liballegro-%5.2t64.install: debian/liballegro-ADDON5.2t64.install.in debian/rules
	sed -e 's/ADDON/$*/g' < "$<" > "$@"

debian/liballegro-%5-dev.install: debian/liballegro-ADDON5-dev.install.in debian/rules
	sed -e 's/ADDON/$*/g' < "$<" > "$@"

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
# Regenerate generated files.
	misc/regenerate.sh
	dh_auto_configure -- $(DEB_CMAKE_OPTIONS)

override_dh_clean:
	rm -f $(ADDONS_INSTALL) $(ADDONS_DEV_INSTALL)
	dh_clean

override_dh_auto_install: $(ADDONS_INSTALL) $(ADDONS_DEV_INSTALL)
	dh_auto_install
	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/allegro5/platform
	mv debian/tmp/usr/include/allegro5/platform/alplatf.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/allegro5/platform/alplatf.h
	sed -i 's@Cflags: -I$${includedir}@Cflags: -I$${includedir}/$(DEB_HOST_MULTIARCH)@' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/allegro-*.pc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd build && tests/test_driver --no-display ../tests/test_*.ini
endif

override_dh_installchangelogs:
	dh_installchangelogs docs/src/changes-5.2.txt

override_dh_installexamples-indep:
	dh_installexamples
# Delete haiku example, because we are not shipping its data.
	rm debian/allegro5-doc/usr/share/doc/allegro5-doc/examples/ex_haiku.c
# Fix permissions
	find debian/allegro5-doc/usr/share/doc/allegro5-doc/examples -type f -exec chmod 644 \{\} \+
